# Start consuming a file or blob source into a database

Starts a content transfer from Azure Blob storage or a local Sitecore file system source into the target database.
Primary workflow:
Use `blobName` to consume `.raif` files produced by the Content Transfer API from Azure Blob Storage. Example:
`blobName=content-transfer-12345678-1234-1234-1234-123456789abc.raif`
Secondary workflow for small, ad hoc scenarios:
Use `fileName` only when consuming a `.raif` file from the local Sitecore file system. Example:
`fileName=testFile.raif`
Provide either `blobName` or `fileName`, not both.
In the response, the `location` header contains the full path to the consumed source in the *destination* environment.
The final path segment following the final slash is the blob name or file name:
`https://my-environment.sitecorecloud.io/sitecore/shell/api/v3/ItemsTransfer/sources/blobs/{BlobNameOrFileName}`
You will use the blob name or file name in other endpoints. For example, when you [retrieve the details of a transferred source](#operation/getTransferById).

Endpoint: POST /transfers/databases/{databaseName}/sources
Version: 3.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `databaseName` (string, required)
    The name of the target database for the transfer.

## Query parameters:

  - `blobName` (string)
    The primary and recommended parameter. The name of the Azure Blob source to consume. If you provide `blobName`, do not provide `fileName`.

  - `fileName` (string)
    The parameter for local file system sources. If you provide `fileName`, do not provide `blobName`. If consuming `.raif` files produced by the Content Transfer API, use `blobName` instead.

## Response 202:

  - `202` (unknown)
    Accepted. Provides the `location` header to check specific transfer status.

## Response 400:

  - `400` (unknown)
    Bad Request. Returned if parameters are missing or invalid.

## Response 400 fields (application/json):

  - `Error` (string)

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `Error` (string)

